/*
 * ***** BEGIN LICENSE BLOCK *****
 *   Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * https://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is ActiveInbox.
 *
 * The Initial Developer of the Original Code is
 * Andy Mitchell (andym@activeinboxhq.com)
 * Portions created by the Initial Developer are Copyright (C) 2009
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 * 
 * Originally developed for ActiveInbox for Gmail. https://www.activeinboxhq.com
 * Find out more about developing with this codebase at https://www.activeinboxhq.com
 * Anyone who utilises this code is required to include this license notice in all covered code.
 * 
 * ***** END LICENSE BLOCK ***** */

/**
 * Static utility class.
 *
 *
 * @class ?
 */

// I'm making this just a plain object to avoid having to load the
// oohelper.js when all we need is JSON parsing in the background
// page -tom

//var giJson = giBase.extend(null, {
var giJson = {
    
    _json: null,
    
    _testJson: function() {
        if( !giJson._json ) {
            // Try native JSON for FF3.5+ and Chrome:
            if( (typeof JSON != 'undefined') && JSON.stringify ) {
                //giJson._json = JSON;
            } else {
                throw new Error("Unsupported Browser");
            }
        }

        
    },
    
    decode: function(s) {
        giJson._testJson();
        //return giJson._json.parse.apply(giJson._json, arguments);
        return JSON.parse(s)
    },
    
    encode: function(o) {
        giJson._testJson();
        //return giJson._json.stringify.apply(giJson._json, arguments);
        return JSON.stringify(o);
    },
    
    parse: function(o) {
        return this.decode(o);
    },
    
    stringify: function(o) {
        return this.encode(o);
    }
    
};
