(function(globalWindow) {


    console.debug("Disabling the creation of tabs, unless they're locked to safe known URLs, to prevent any malicious script phishing the user.");

    const _create = globalWindow.chrome.tabs.create;
    globalWindow.chrome.tabs.create = function(object) {
        console.warn("Vetting tab creation", object);

        if( !object.url || typeof object.url!=='string' || object.url.indexOf!==''.indexOf ) throw new Error("Invalid url type for tab creation.");
        var validatedKnownUrl = ['https://www.activeinboxhq.com', 'https://mail.google.com'].some(x => object.url.indexOf(x)===0);
        if( !validatedKnownUrl ) throw new Error("Invalid url location for tab creation");

        return _create.apply(this, arguments);
    }

    if( !globalWindow.securityVerified ) globalWindow.securityVerified = {};
    globalWindow.securityVerified.background = true;

})(window);
